Bug 1267802 - Adding Jenkins to Openshift Causes ID Error
Adding Jenkins to Openshift Causes ID Error
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: John W. Lamb
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 01:25 EDT by Nick
Modified: 2015-10-23 16:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 16:36:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick 2015-10-01 01:25:15 EDT
Description of problem:
I can't build using Jenkins, getting an error the instance id is repeated. I'm new to RHCloud. Using OpenShift, create a "domain," application, then choose enable Jenkins add Jenkins cartridge. 

Even after deleting the Jenkins instances and re-adding them, the config.xml is missing or id is already in use. 

Account page:
https://openshift.redhat.com/app/console/application/560cbcbc2d52717b290001cf-jenkins
Jenkins instance:
https://jenkins-washyacht.rhcloud.com/job/jenkins-build/
Or: 
https://jenkins-washyacht.rhcloud.com/log/all


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Oct 01, 2015 1:00:58 AM INFO hudson.plugins.openshift.OpenShiftSlave createApp
Creating builder application jenkins-1 jenkinsbldr washyacht of size small in region default ...
Oct 01, 2015 1:00:58 AM INFO com.openshift.internal.client.RestService request
Requesting POST with protocol 1.2 on https://openshift.redhat.com/broker/rest/domain/washyacht/applications?include=cartridges
Oct 01, 2015 1:00:58 AM WARNING hudson.plugins.openshift.OpenShiftCloud provision
Caught com.openshift.client.OpenShiftEndpointException: Could not request https://openshift.redhat.com/broker/rest/domain/washyacht/applications?include=cartridges: An application with jenkins-1 already exists within the domain. You can only have a single application with jenkins-1 within a domain.
. Will retry 0 more times before canceling build.
Oct 01, 2015 1:01:03 AM WARNING hudson.plugins.openshift.OpenShiftCloud provision
Cancelling build due to earlier exceptions

Expected results:


Additional info:
Comment 1 John W. Lamb 2015-10-19 17:34:41 EDT
Hi, sorry for the slow response. Are you still seeing the issue from this bug? If so, could you include more detail on the steps leading up to the failure? The Jenkins cart is domain-scoped, which means you can only have one Jenkins Server app deployed in your domain. It sounds like you're not trying to deploy multiple Jenkins server carts, though the error you're seeing is what you would get if you were to.

Is this bug still occurring?
Comment 2 Nick 2015-10-23 00:27:05 EDT
I believe that's right and the error was multiple Jenkins apps however, I went through the steps of deleting everything and trying again (with only one) and still got the error.  Honestly, it was a blocker so I've moved to Heroku for platform as a service hosting.  My goal was an easy integration with Github and from Heroku, it's a click on the main dashboard, choosing allow on the Github popup, then it deploys after commits to master.  Thank you though.
Comment 3 John W. Lamb 2015-10-23 16:36:01 EDT
Still not clear what the bug was, but since the customer is no longer affected I'm closing it.

Investigation of the jenkins gear in question didn't reveal any obvious problems other than possible mis-configuration.

Note You need to log in before you can comment on or make changes to this bug.